/*
    This file is part of "now", a simple calendar tool
    Copyright (C) 2012-2015  Laurent Poirrier

    "now" is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef COLOR_THEME_H
#define COLOR_THEME_H

/*
// Classic
#define THEME_UI_BKG		(TERM_DEFAULTS)
#define THEME_UI_TOPLINE	(TERM_DEFAULTS | TERM_DIM)
#define THEME_UI_BOTTOMLINE	(TERM_DEFAULTS | TERM_DIM)
#define THEME_UI_DAYLINE	(TERM_DEFAULTS | TERM_BOLD)
#define THEME_UI_DAYLINE_SEL	(TERM_DEFAULTS | TERM_REVERSE | TERM_BOLD)
#define THEME_UI_EVENT		(TERM_DEFAULTS)
#define THEME_UI_EVENT_SEL	(TERM_DEFAULTS | TERM_REVERSE)
#define THEME_UI_LAST_EVENT_MOD	(0)
#define THEME_EV_BKG		(TERM_DEFAULTS | TERM_BOLD)
#define THEME_EV_EDITABLE	(TERM_DEFAULTS)
#define THEME_SR_BKG		(TERM_DEFAULTS)
#define THEME_SR_TITLE		(TERM_DEFAULTS | TERM_BOLD)
#define THEME_SR_SEL		(TERM_DEFAULTS | TERM_REVERSE)
// */

// /*
// Using colors
#define THEME_UI_BKG		(SCREEN_COLOR(0, 7) | TERM_BOLD)
#define THEME_UI_TOPLINE	(SCREEN_COLOR(0, 7))
#define THEME_UI_BOTTOMLINE	(SCREEN_COLOR(0, 7))
#define THEME_UI_DAYLINE	(SCREEN_COLOR(0, 7) | TERM_BOLD)
#define THEME_UI_DAYLINE_SEL	(SCREEN_COLOR(7, 1) | TERM_BOLD)
#define THEME_UI_EVENT		(TERM_DEFAULTS)
#define THEME_UI_EVENT_SEL	(SCREEN_COLOR(7, 1) | TERM_BOLD)
#define THEME_UI_LAST_EVENT_MOD	(0)
#define THEME_EV_BKG		(SCREEN_COLOR(0, 7) | TERM_BOLD)
#define THEME_EV_EDITABLE	(TERM_DEFAULTS)
#define THEME_SR_BKG		(SCREEN_COLOR(0, 7) | TERM_BOLD)
#define THEME_SR_TITLE		(SCREEN_COLOR(7, 7) | TERM_BOLD)
#define THEME_SR_SEL		(SCREEN_COLOR(7, 1) | TERM_BOLD)
// */

/*
// Using underline
#define THEME_UI_BKG		(TERM_DEFAULTS)
#define THEME_UI_TOPLINE	(TERM_DEFAULTS | TERM_DIM | TERM_UNDERLINE)
#define THEME_UI_BOTTOMLINE	(TERM_DEFAULTS | TERM_DIM)
#define THEME_UI_DAYLINE	(TERM_DEFAULTS | TERM_BOLD)
#define THEME_UI_DAYLINE_SEL	(TERM_DEFAULTS | TERM_REVERSE | TERM_BOLD)
#define THEME_UI_EVENT		(TERM_DEFAULTS)
#define THEME_UI_EVENT_SEL	(TERM_DEFAULTS | TERM_REVERSE)
#define THEME_UI_LAST_EVENT_MOD	(TERM_UNDERLINE)
#define THEME_EV_BKG		(TERM_DEFAULTS | TERM_BOLD)
#define THEME_EV_EDITABLE	(TERM_DEFAULTS)
#define THEME_SR_BKG		(TERM_DEFAULTS)
#define THEME_SR_TITLE		(TERM_DEFAULTS | TERM_BOLD)
#define THEME_SR_SEL		(TERM_DEFAULTS | TERM_REVERSE)
// */

#endif

